org.osgi.framework.wiring.dto

## Class BundleWireDTO

- java.lang.Object
- - org.osgi.dto.DTO
  - - org.osgi.resource.dto.WireDTO
    - - org.osgi.framework.wiring.dto.BundleWireDTO

    public class BundleWireDTO
    extends WireDTO

Data Transfer Object for a BundleWire.

`BundleWireDTO`s are referenced `BundleWiringDTO.NodeDTO`s.

Author:
  $Id$

### Field Summary

Fields
`int` `providerWiring` The identifier of the provider wiring for the bundle wire.
`int` `requirerWiring` The identifier of the requiring wiring for the bundle wire.

### Fields inherited from class org.osgi.resource.dto.WireDTO

`capability, provider, requirement, requirer`

### Constructor Summary

Constructors
Constructor and Description
`BundleWireDTO()`

### Method Summary

### Methods inherited from class org.osgi.dto.DTO

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### providerWiring

    public int providerWiring

The identifier of the provider wiring for the bundle wire.

See Also:
  `WiringDTO.id`, `BundleWire.getProviderWiring()`

#### requirerWiring

    public int requirerWiring

The identifier of the requiring wiring for the bundle wire.

See Also:
  `WiringDTO.id`, `BundleWire.getRequirerWiring()`

### Constructor Detail

#### BundleWireDTO

    public BundleWireDTO()